Debian Bug report logs - #553173
javascript-common overrides /javascript globally

version graph

Package: javascript-common; Maintainer for javascript-common is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>; Source for javascript-common is src:javascript-common.

Reported by: Ronan Chilvers <ronan@d3r.com>

Date: Thu, 29 Oct 2009 12:33:24 UTC

Severity: normal

Merged with 474913

Found in versions javascript-common/5, javascript-common/8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Thu, 29 Oct 2009 12:33:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronan Chilvers <ronan@d3r.com>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 29 Oct 2009 12:33:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ronan Chilvers <ronan@d3r.com>
To: submit@bugs.debian.org
Subject: Global javascript Alias in Apache2 configuration when installing libjs-jquery
Date: Thu, 29 Oct 2009 09:44:10 +0000
[Message part 1 (text/plain, inline)]
Package: javascript-common
Version: 5
Severity: important

Installing the javascript-common package generates symlink

/etc/apache2/conf.d/javascript-common.conf

pointing to

/etc/javascript-common/javascript-common.conf

This configuration file contains an Apache Alias directive as follows:

Alias /javascript /usr/share/javascript

Because this is in the global scope of the server configuration, sites
hosted on the machine that store data in a /javascript location will find
that the global alias overrides the site configuration. The likely result of
this is that requests to files in /javascript will return a 404 File Not
Found error, potentially breaking those websites.

This was discovered when Trac was installed on a server that already hosts
client websites that store site local javascript in a /javascript location.

I suggest that either:

a. The global Alias is not created and administrators are advised to include
it in their VirtualHost configurations.
b. The global Alias name is changed to something more obscure to avoid name
clashes.
c. At the very least a warning is displayed when the Alias is created to
alert the administrator what is happening.

I am using Debian Lenny 2.6.26-2-amd64 #1 SMP with
apache2-mpm-prefork 2.2.9-10+lenny4, javascript-common
5, libjs-jquery 1.2.6-2, trac 0.11.1-2.1

Many thanks
-- 
Ronan
D3R Ltd
t 0333 800 2288
f 0333 800 2289
e ronan@d3r.com
w http://d3r.com
[Message part 2 (text/html, inline)]

Changed Bug title to 'Global /javascript Alias in Apache2 configuration' from 'Global javascript Alias in Apache2 configuration when installing libjs-jquery' Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Mon, 03 May 2010 14:30:08 GMT) Full text and rfc822 format available.

Merged 474913 553173. Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Mon, 03 May 2010 14:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Mon, 03 May 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 03 May 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #14 received at 553173@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: 553173@bugs.debian.org
Cc: control@bugs.debian.org
Subject: javascript-common pollutes conf.d
Date: Mon, 3 May 2010 16:26:38 +0200
retitle 553173 Global /javascript Alias in Apache2 configuration
retitle 474913 javascript-common overrides /javascript globally
severity 474913 important
merge 553173 474913
thanks

Hi,

Installation of wordpress pulled in this package through a recommendation.
What I didn't notice until users started complaining about their broken
web site, was that the location /javascript was globally aliased to
/usr/share/javascript.

I removed the /etc/apache2/conf.d symlink and instead Include'd the file in
the WP virtual host, but that doesn't change the fact that this is silly
and intrusive and needs to go away. Don't mess with the global Apache
context, overriding user settings, it's just a bad idea. Tell them how to
Include it or Alias it, and that's good enough.

Please fix it. TIA.

-- 
     2. That which causes joy or happiness.




Severity set to 'serious' from 'important' Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 09:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Sun, 28 Nov 2010 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Fournier <marc.fournier@camptocamp.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 13:15:06 GMT) Full text and rfc822 format available.

Message #21 received at 553173@bugs.debian.org (full text, mbox):

From: Marc Fournier <marc.fournier@camptocamp.com>
To: 553173@bugs.debian.org
Cc: control@bugs.debian.org
Subject: javascript-common: please lower #553173 severity to non-RC
Date: Sun, 28 Nov 2010 14:11:55 +0100
block 553173 by 605227
thanks

Excerpt from /usr/share/doc/apache2.2-common/README.Debian.gz:

    If the local administrator is not comfortable with packages
    activating their config files by default, it is possible
    to change the 'Include /etc/apache2/conf.d/' in apache2.conf
    into 'Include /etc/apache2/conf.d.enabled/' and create that
    directory. He can then put symlinks to the files in conf.d
    which he wants to enable into conf.d.enabled.


Given this bug:
 - has a workaround as suggested above
 - is the same as #565738 and #604980
 - could apply to many other packages (nagios, gitweb, doc-central, etc)
 - should probably get fixed in apache itself (#605227)
 - is a release blocker

I suggest its severity should get lowered.

Many thanks !




Added blocking bug(s) of 553173: 605227 Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally in apache2' from 'Global /javascript Alias in Apache2 configuration' Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally in lighttpd' from 'javascript-common overrides /javascript globally in apache2' Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:45:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions javascript-common/5. Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:45:12 GMT) Full text and rfc822 format available.

Disconnected #474913 from all other report(s). Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:21:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally in apache2' from 'javascript-common overrides /javascript globally in lighttpd' Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:27:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions javascript-common/5. Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Thu, 23 Dec 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 23 Dec 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 553173@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michal Čihař <nijel@debian.org>
Cc: 553173@bugs.debian.org
Subject: Re: severity of 474913 is serious
Date: Thu, 23 Dec 2010 21:58:15 +0100
[Message part 1 (text/plain, inline)]
severity 553173 important
kthxbye

On Thu, Nov 11, 2010 at 10:27:40 +0100, Michal Čihař wrote:

> severity 474913 serious
> thanks
> 
This bug was set to RC severity with no explanation, by someone who
doesn't appear to be the maintainer.  Downgrading again.  There's a
suggestion in the bug log to use /javascript-common instead as the
alias, which would seem less intrusive and less likely to clash with
local configuration; an upload with that (or a similar) change could be
considered for squeeze if it happens *soon*.  But I don't think this
should delay the squeeze release.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 21:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Fri, 24 Dec 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 24 Dec 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 553173@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 553173@bugs.debian.org
Subject: Re: severity of 474913 is serious
Date: Fri, 24 Dec 2010 07:24:40 +0100
[Message part 1 (text/plain, inline)]
Hi

Dne Thu, 23 Dec 2010 21:58:15 +0100
Julien Cristau <jcristau@debian.org> napsal(a):

> severity 553173 important
> kthxbye
> 
> On Thu, Nov 11, 2010 at 10:27:40 +0100, Michal Čihař wrote:
> 
> > severity 474913 serious
> > thanks
> > 
> This bug was set to RC severity with no explanation, by someone who
> doesn't appear to be the maintainer.  Downgrading again.  There's a
> suggestion in the bug log to use /javascript-common instead as the
> alias, which would seem less intrusive and less likely to clash with
> local configuration; an upload with that (or a similar) change could be
> considered for squeeze if it happens *soon*.  But I don't think this
> should delay the squeeze release.

As you can see, I was upgrading other bug about lighttpd and it has
explanation mail there as well.

And I still think that unconditionally recreating 
/etc/lighttpd/conf-enabled/90-javascript-alias.conf violates policy
10.7.3.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Tue, 09 Aug 2011 08:57:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Gomez <debian@kyoshiro.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 09 Aug 2011 08:57:57 GMT) Full text and rfc822 format available.

Message #52 received at 553173@bugs.debian.org (full text, mbox):

From: Loïc Gomez <debian@kyoshiro.org>
To: 474913@bugs.debian.org, 553173@bugs.debian.org
Subject: javascript-common should be less intrusive
Date: Tue, 9 Aug 2011 10:54:53 +0200
[Message part 1 (text/plain, inline)]
I totally agree with Michal Čihař, and this bug report should have been
issued by (at least) changing /javascript to something less risky before
releasing. I think even /javascript-common is much too common (sic) to think
it'll not break a few websites. A company could use /javascript for its
websites and have a /javascript-common for common javascript on all of its
websites and thus be inconvenienced.

For the record : I've just tried to install rsslounge on an apache server,
and the website was not working *at all*. The diagnosis was a bit tricky,
there was no error in the server logfiles because of the local rewrites by
rsslounge... In fact it was trying to access rsslounge's javascript in
/usr/share/javascript-common/, where obviously the files were not available.

I can see the point of this package, but I find it too intrusive. In fact, I
find global Aliases too intrusive and I think they should never be defined
for a whole server, but always on a per-vhost basis. We rarely need all
aliases to be on all of our vhosts and sometimes it's a (small, I concede)
security inconvenience.

Here's what I suggest :
- use /javascript-common-libs instead of /javascript and propagate the name
change to the dependent packages. The name javascript-common-libs contains
the package name and is not too common
- javascript-common package should behave like phpmyadmin and ask the user -
at install time - which web servers he'd like to automatically configure to
use it

Regards

--
Loïc Gomez

PS: maybe the bugs #474913 and #553173 could be merged.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Sun, 15 Jan 2012 11:42:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Biri Mátyás <mattiaspda@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 15 Jan 2012 11:42:42 GMT) Full text and rfc822 format available.

Message #57 received at 553173@bugs.debian.org (full text, mbox):

From: Biri Mátyás <mattiaspda@gmail.com>
To: 553173@bugs.debian.org
Subject: Problem still not solved - this makes web developers crazy!
Date: Sun, 15 Jan 2012 12:41:08 +0100
[Message part 1 (text/plain, inline)]
I could't figure out why couldn't i access files in /javascript folder in
any of my sites.

Than realized the conf file javascript-common placed into apache conf dir.

Global /javascript override is a problem, which drives people crazy, who
have tha same directory in there websites.
It should be changed some more specific than "javascript or
javascript-common"
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Sun, 15 Jan 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 553173@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 15 Jan 2012 12:57:57 GMT) Full text and rfc822 format available.

Message #62 received at 553173@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Biri Mátyás <mattiaspda@gmail.com>, 553173@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#553173: Problem still not solved - this makes web developers crazy!
Date: Sun, 15 Jan 2012 13:54:31 +0100
[Message part 1 (text/plain, inline)]
On 12-01-15 at 12:41pm, Biri Mátyás wrote:
> I could't figure out why couldn't i access files in /javascript folder 
> in any of my sites.
> 
> Than realized the conf file javascript-common placed into apache conf 
> dir.
> 
> Global /javascript override is a problem, which drives people crazy, 
> who have tha same directory in there websites.
> It should be changed some more specific than "javascript or 
> javascript-common"

I wholeheartedly agree.

My suggestion is that we switch to "/usr/share/javascript" which happens 
to also work for file:// URLs.

NB!  This is not a trivial change: We need to bother all 60+ packages 
that depend/recommend javascript-common and also any packages 
depending/recommending any actual javascript packages!


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Sun, 15 Jan 2012 13:21:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mátyás Biri <mattiaspda@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 15 Jan 2012 13:21:39 GMT) Full text and rfc822 format available.

Message #67 received at 553173@bugs.debian.org (full text, mbox):

From: Mátyás Biri <mattiaspda@gmail.com>
To: "553173@bugs.debian.org" <553173@bugs.debian.org>
Subject: Re: [Pkg-javascript-devel] Bug#553173: Problem still not solved - this makes web developers crazy!
Date: Sun, 15 Jan 2012 14:11:53 +0100
I understand that is not easy to change becouse of the related
packages, but since years?

Is it possible to temporary use 2 overrides (the current bad, and a
good one), than notify all related packages to make changes to use the
good one, than if every package changed forget the /javascript
override?

On 2012.01.15., at 13:54, Jonas Smedegaard <dr@jones.dk> wrote:

> On 12-01-15 at 12:41pm, Biri Mátyás wrote:
>> I could't figure out why couldn't i access files in /javascript folder
>> in any of my sites.
>>
>> Than realized the conf file javascript-common placed into apache conf
>> dir.
>>
>> Global /javascript override is a problem, which drives people crazy,
>> who have tha same directory in there websites.
>> It should be changed some more specific than "javascript or
>> javascript-common"
>
> I wholeheartedly agree.
>
> My suggestion is that we switch to "/usr/share/javascript" which happens
> to also work for file:// URLs.
>
> NB!  This is not a trivial change: We need to bother all 60+ packages
> that depend/recommend javascript-common and also any packages
> depending/recommending any actual javascript packages!
>
>
> - Jonas
>
> --
> * Jonas Smedegaard - idealist & Internet-arkitekt
> * Tlf.: +45 40843136  Website: http://dr.jones.dk/
>
> [x] quote me freely  [ ] ask before reusing  [ ] keep private




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Fri, 03 Aug 2012 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Michalon <jonathan.michalon@etu.unistra.fr>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 03 Aug 2012 18:24:06 GMT) Full text and rfc822 format available.

Message #72 received at 553173@bugs.debian.org (full text, mbox):

From: Jonathan Michalon <jonathan.michalon@etu.unistra.fr>
To: 553173@bugs.debian.org, 553173-subscribe@bugs.debian.org
Subject: put into default vhost
Date: Fri, 3 Aug 2012 20:06:08 +0200
Hi,

I also ran into that issue while installing flyspray (by hand).
What I did is including the file in the default vhost, since that way
it doesn't break the former behaviour but still fixes the issue.

I have no idea how this may be done by package installation though.

--
Jonathan Michalon
IT student in Strasbourg



Severity set to 'normal' from 'important' Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to 474913-submit@bugs.debian.org. (Tue, 20 Aug 2013 10:39:04 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 553173: 605227 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to 474913-submit@bugs.debian.org. (Tue, 20 Aug 2013 10:39:05 GMT) Full text and rfc822 format available.

Marked as found in versions javascript-common/8. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:04 GMT) Full text and rfc822 format available.

Merged 474913 553173 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally' from 'javascript-common overrides /javascript globally in apache2' Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 553173: 605227 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Mon, 26 Aug 2013 14:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to pourriel@kiao.net:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 26 Aug 2013 14:09:13 GMT) Full text and rfc822 format available.

Message #89 received at 553173@bugs.debian.org (full text, mbox):

From: pourriel@kiao.net
To: 553173@bugs.debian.org
Subject: Still here?
Date: Mon, 26 Aug 2013 16:07:39 +0200
Hello,

I spent hours searching why my javascript was not working on my new 
server! :-/


4 years after the first message, this bug is still here???
Please do something, this is easy!



-- 
David
http://azur-dev.kiao.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Mon, 26 Aug 2013 14:33:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Michel Vourgère" <jmv_deb@nirgal.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 26 Aug 2013 14:33:20 GMT) Full text and rfc822 format available.

Message #94 received at 553173@bugs.debian.org (full text, mbox):

From: "Jean-Michel Vourgère" <jmv_deb@nirgal.com>
To: pourriel@kiao.net, 553173@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#553173: Still here?
Date: Mon, 26 Aug 2013 14:29:04 +0000
[Message part 1 (text/plain, inline)]
On Monday 26 August 2013 14:07:39 pourriel@kiao.net wrote:
> I spent hours searching why my javascript was not working on my new 
> server! :-/
> 4 years after the first message, this bug is still here???
> Please do something, this is easy!

Hello

The only purpose of javascript-common is to expose /javascript url namespace.
So what you ask is not a trivial matter for that specific package! :)

Please note some improvement, hence the decrease of severity:
You can use "a2disconf javascript-common" to disable the /javascript url.
Your choice will then be preserved after upgrades and reinstallations.

If you don't like the fact that system javascript is available at /javascript,
you can also change the address in
/etc/apache2/conf-available/javascript-common
to whatever you like.

Do note, however, that this might break other packages that expect the
javascript at that location.


You say this is easy? What do you suggest should be done?

Do you really need to install that package if you don't want what it does?

If you are using a virtualhost, your alias should have precedence. Can you
describe your settings more precisely? Do you have a problem with another
package, or is that some home brew settings?

-- Nirgal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Mon, 26 Aug 2013 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pourriel@kiao.net:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 26 Aug 2013 14:51:04 GMT) Full text and rfc822 format available.

Message #99 received at 553173@bugs.debian.org (full text, mbox):

From: pourriel@kiao.net
To: Jean-Michel Vourgère <jmv_deb@nirgal.com>
Cc: 553173@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#553173: Still here?
Date: Mon, 26 Aug 2013 16:50:17 +0200
Jean-Michel Vourgère a écrit :
> Do you really need to install that package if you don't want what it does?


I don't install it. It was on my server... I don't know why the 
hosting company installed it. :-|



> You say this is easy? What do you suggest should be done?


As it has been suggested several times since 4 years, the name should 
be something else to avoid confusion.
Everybody puts its javascript in a /javascript/ directory!




> If you are using a virtualhost, your alias should have precedence.


What alias? I don't make a /javascript/ alias to all my virtual hosts!



-- 
David
http://azur-dev.kiao.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#553173; Package javascript-common. (Fri, 06 Sep 2013 14:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Augustin Trancart <augustin.trancart@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 06 Sep 2013 14:30:11 GMT) Full text and rfc822 format available.

Message #104 received at 553173@bugs.debian.org (full text, mbox):

From: Augustin Trancart <augustin.trancart@gmail.com>
To: 553173@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#553173: bitten as well
Date: Fri, 06 Sep 2013 16:27:10 +0200
My company precisely use /javascript namespace for websites.

Usually it runs on Red Hat server, but I needed to make it run locally 
to change things. And I spent an afternoon to finally find this bug. I 
really think this should be fixed. I understand that it is not trivial, 
but it would save countless hour of debugging silly things like
 [06/Sep/2013:16:11:14 +0200] 
[bolent.localhost.f6/sid#7f9781525460][rid#7f97813830a0/initial] (1) 
[perdir /var/www/whatever_sites_using_javascript_namespace/] internal 
redirect with /webapp/ws [INTERNAL REDIRECT]
in rewrite logs.

Thanks a lot,



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:47:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.